/** 配送相关API */
import ENV from '@common/env'
import http from '@/sdk/http'

export default class BrandApi {
  /** 获取品牌蓝绿版本 v1 v2 ... */
  static async getBrandVersion(brandId: number) {
    return await http({
      method: 'POST',
      url: `${ENV.HQBFF}/app/brandVersion`,
      data: {
        brandId,
      },
      readTimeout: 200,
    })
  }
}
