import http from '@sdk/http'
import ENV from '@common/env'

export default class DeviceAPI {
  /**
   * 获取设备信息，确定是否绑定
   */
  static getDeviceInfo(data: { deviceId: string }) {
    return http({
      url: `${ENV.HQBFF}/device/deviceDetail`,
      method: 'POST',
      data,
    })
  }

  /**
   * 绑定设备 6 位码
   */
  static bindDevice(data: { deviceNo: string; deviceId: string }) {
    return http({
      url: `${ENV.HQBFF}/device/bindHqDevice`,
      method: 'POST',
      data,
    })
  }
}
