import { useState } from 'react'
import PrivacyAgreement from '../PrivacyAgreement'
import i18n from '@dt/fe-base/dist/i18n'
const PrivacyText = () => {
  const [isOpen, setIsOpen] = useState(false)
  return (
    <>
      <span onClick={() => setIsOpen(true)}>{i18n.t('agreement.privacy')}</span>
      <PrivacyAgreement isOpen={isOpen} onCancel={() => setIsOpen(false)} />
    </>
  )
}

export default PrivacyText
