import { useState } from 'react'
import ServiceAgreement from '../ServiceAgreement'
import i18n from '@dt/fe-base/dist/i18n'
const ServiceText = () => {
  const [isOpen, setIsOpen] = useState(false)
  return (
    <>
      <span onClick={() => setIsOpen(true)}>{i18n.t('agreement.service')}</span>
      <ServiceAgreement isOpen={isOpen} onCancel={() => setIsOpen(false)} />
    </>
  )
}

export default ServiceText
