import { gql } from '@apollo/client'

export const GetCurrentUserHomeCard = gql(`
    query GetCurrentUserHomeCardV3($input: Input_useraccess_GetCurrentUserHomeCardRequest!) {
        GetCurrentUserHomeCardV3(input: $input) {
            cards
        }
    }
  `)

export const CurrentUserHomeCard = gql(`
    mutation CurrentUserHomeCardV3($input: Input_useraccess_CurrentUserHomeCardRequest!) {
	    CurrentUserHomeCardV3(input: $input)
    }
  `)

export const SaveUserIdAndJPushId = gql(`
    mutation SaveUserIdAndJPushIdV3($input: Input_useraccess_SaveUserIdAndJPushIdRequest!) {
	    SaveUserIdAndJPushIdV3(input: $input)
    }
`)

export const HqUserInfo = gql(`
    query HqUserInfoV3($input: Input_useraccess_HqUserInfoRequest!) {
        HqUserInfoV3(input: $input) {
            userInfo {
                userId
                userName
                phone
                email
                isSetPwd
                dataSource
                employeeId
            }
        }
    }
  `)
