import { createRoot } from 'react-dom/client'
import { setupInit } from '@dt/ui-mobile'
import { init } from '@init'
import App from './App'

// setup ionic react
setupInit()
;(async function () {
  // 初始化
  await init()

  const container = document.getElementById('root')
  const root = createRoot(container!)

  root.render(
    <App />,
    // <React.StrictMode>
    //   <App />
    // </React.StrictMode>,
  )
})()
