interface IToDoList {
  todoNo: string
  brandId: number
  storeId: number
  name: string
  /** 是否完成 */
  finished: boolean
  /** 是否必填 */
  required: boolean
  todoType: number
  enable: boolean
  /** 排序顺序 */
  id: number;
  checkList: ICheckList[];
}

interface ICheckList {
  name: string
  subType: number
  /** 验证是否完成任务 */
  checkPass: boolean
  steps?: ISteps[]
  /** 奖励 */
  rewards?: IRewards[]
  /** 是否必填 */
  required: boolean
  /** 前置subType */
  prevChecks?: number[]
}

interface ISteps {
  id: number;
  name: string;
}

interface IRewards {
  name: string;
  /** 完成数量 */
  number: number;
  /** 是否已发放 */
  provide: boolean;
  rewardNo: number;
  /** 奖励天数 */
  storeTryDays: number;
}