interface IRouteItem {
  /** 路由配置 */
  routes: {
    icon?: string
    label?: () => string
    path: string
    component?: any
    isDefault?: boolean
    outMenu?: boolean
    params?: Record<string, any>
    href?: string
    children?: IRouteItem['routes'][]
  }
  match: RouteComponentProps['match']
  history: RouteComponentProps['history']
  extra?: React.ReactNode
}
