#!/bin/bash

#开发自定义前端打包脚本,jenkins本身不需要再做任何配置#

#前端打包脚本步骤:
# 1,npm安装
# 2,将所有网站根目录内容移动至 www 目录下

#必须加载nvm配置，默认不要改
source ~/.nvm/nvm.sh


########以下内容由开发完全自定义########

echo "---> 使用nodejs20"
nvm use 20

# 打印 package.json 内容
echo "---> 打印 package.json 内容:"
cat package.json
echo "---> package.json 内容打印完成"

ls 

# 清空打包缓存
# echo '----->清空npm缓存'
# rm -rf node_modules
# rm -rf package-lock.json
# npm cache clean --force
# echo '-----> 清空npm缓存完成'

echo "---> 进行npm install安装"

npm i --registry=http://nexus.downtown8.com:8081/repository/npm/

npm install --force  --registry=http://nexus.downtown8.com:8081/repository/npm/
# 有package-lock.json的项目建议使用npm ci，锁定版本依赖
    if [ $? != 0 ];then
        echo "---> ERROR 安装依赖失败"
        exit 1
    else
        echo "---> 安装依赖完成"
    fi
echo '当前文件数量'
ls -alR |wc -l
npm run build
    if [ $? != 0 ];then
        echo "---> ERROR 打包失败"
        exit 1
    else
        echo "---> 打包完成"
    fi
echo '运行成功后文件数量'
ls -alR |wc -l
# mv ./dist/index.html ./dist/device.html

./hawkpack-cli run \
-d ./dist \
-p mobile-hq \
-e mobile-hq \
-m \
-i "${COSsecretID}" \
-k "${COSsecretKey}" \
-b https://hawkpack.downtown8.net \
--branch "${CI_COMMIT_REF_SLUG}" \
--couchbase-url "${CouchbaseUrl:-43.142.45.40}" \
--couchbase-user "base" \
--couchbase-password "${Basepasswd}" \
--couchbase-bucket "base" \
--couchbase-scope "hawkpack" \
--couchbase-collection "packhash"

echo "---> 自定义打包完成"
