import http from '@sdk/http'
import ENV from '@common/env'

export default class ConfigAPI {
  /**
   * 获取后台配置强制更新版本和下载地址
   */
  static appVersionLatest(platform: string) {
    return http({
      url: `${ENV.HQBFF}/config/appVersionLatest`,
      method: 'POST',
      data: {
        platform,
      },
    })
  }
}
