export enum EEventNames {
  MessageReceived = 'messageReceived', // 接收消息
  UpdateUserPermission = 'UpdateUserPermission', // 设置用户权限
  ChangeBrand = 'ChangeBrand', // 切换品牌
  ChangeStore = 'ChangeStore', // 切换门店
  ReadMessage = 'ReadMessage', // 已读消息
  BindHqDevice = 'BindHqDevice', // 绑定设备
  UnbindHqDevice = 'UnbindHqDevice', // 解绑设备
  Logout = 'Logout', // 退出登录
  LoginSuccess = 'loginSuccess', // 登录
  FinishChangeStore = 'FinishChangeStore',
  FinishUpdateBrand = 'FinishUpdateBrand',
  FinishUpdateStoreList = 'FinishUpdateStoreList',
  ChangeCurrentStore = 'ChangeCurrentStore',
  modulePermissionListUpdate = 'modulePermissionListUpdate', // 授权模块变更
  permissionInfoUpdate = 'permissionInfoUpdate', // 权限变更
  permissionSdkClear = 'permissionSdkClear', // 权限清除
  /** 任务更新,切换任务,或者完成任务,退出任务 */
  TaskUpdate = 'TaskUpdate',
  ThemeChange = 'ThemeChange', // 主题色变更
  UserInfoUpdate = 'UserInfoUpdate', // 用户信息变更
  DtMsgUnreadCountUpdate = 'DtMsgUnreadCountUpdate', // 未读消息数量变更
  AgreementSuccess = 'AgreementSuccess', // 协议成功
}
