import { gql } from '@/gql'

export const SaveDeviceInfo = gql(`
  mutation SaveDeviceInfo($input: InputDevicemonitorSaveDeviceInfoReq!) {
    SaveDeviceInfo(input: $input) 
  }
`)
export const QueryDeviceInfo = gql(`
  query QueryDeviceInfo($input: InputDevicemonitorQueryDeviceInfoReq!) {
    QueryDeviceInfo(input: $input)  {
      brandId
      storeId
      appVersion
      appName
      osVersion
      manufacturer
      model
      platform
      packageName
      deviceName
      deviceId
      addTime
      systemAddTime
      modifyTime
      systemModifyTime
    }
  }
`)
