import { gql } from '@/gql'

export const GetSingleCategoryMessages = gql(`
  query GetSingleCategoryMessages($input: InputNotificationCenterCenterSingleUnreadCategoryRequest!) {
    GetSingleCategoryMessages(input: $input)  {
      singleCategory {
        categoryId
        categoryName
        categoryCount
        NotificationList {
          msgType
          eventId
          templateId
          content
          code
          msgPushMode
          title
          payload
          notificationId
          categoryId
          isRead
          SendTime
        }
      }
      totalCount
    }
  }
`)

export const MarkCategoryAsRead = gql(`
  query MarkCategoryAsRead($input: InputNotificationCenterCenterMarkCategoryAsReadRequest!) {
    MarkCategoryAsRead(input: $input) 
  }
`)
