import { gql } from '@/gql/gql'

export const HqUserInfo = gql(`
  query HqUserInfo($input: InputUserUserCenterHqUserInfoReq!) {
    HqUserInfo(input: $input)  {
      userId
      userName
      phone
      email
      dataSource
      roleInfo {
        total
        data {
          roleId
          roleName
        }
      }
      employeeId
      storeData {
        total
        data {
          storeName
          storeId
        }
      }
    }
  }
`)

export const SaveUserIdAndJPushId = gql(`
    mutation SaveUserIdAndJPushId($input: InputUserUserCenterSaveUserIdAndJPushIdReq!) {
      SaveUserIdAndJPushId(input: $input)
    }
`)
export const CurrentUserHomeCard = gql(`
  mutation CurrentUserHomeCard($input: InputUserUserCenterCurrentUserHomeCardReq!) {
    CurrentUserHomeCard(input: $input) 
  }
`)
export const GetCurrentUserHomeCard = gql(`
  query GetCurrentUserHomeCard($input: InputUserUserCenterGetCurrentUserHomeCardReq!) {
    GetCurrentUserHomeCard(input: $input)  {
      cards
    }
  }
`)
