import { gql } from '@apollo/client'

export const CreateBrand = gql(`
  mutation CreateBrand($input: Input_hqBrand_CreateBrandRequest!) {
    CreateBrand(input: $input) {
      brandId
      brandName
      logo
    }
  }
`)

export const UpdateBrand = gql(`
  mutation UpdateBrand($input: Input_hqBrand_UpdateBrandRequest!) {
    UpdateBrand(input: $input)
  }
`)

export const ListBrandWithStoreCnt = gql(`
  query ListBrandWithStoreCnt($input: Input_hqBrandStoreCenter_ListBrandWithStoreCntRequest!) {
    ListBrandWithStoreCnt(input: $input) {
      list {
        brandId
        brandName
        brandNameAlias
        logo
        status
        dataSource
        migration
        storeCnt
      }
    }
  }
`)
